sudoku-advanced.cpp File Reference
`#include <gecode/driver.hh>`
`#include <gecode/int.hh>`
`#include <gecode/minimodel.hh>`
`#include <gecode/set.hh>`
`#include <string>`
`#include <cmath>`
`#include <cctype>`
`#include "examples/sudoku-instances.hh"`

Go to the source code of this file.

## Classes

class | Sudoku
| Base class for Sudoku puzzles. More...
class | SudokuInt
| Example: Solving Sudoku puzzles using integer constraints More...
class | SudokuSet
| Example: Solving Sudoku puzzles using set constraints More...
class | SudokuMixed
| Example: Solving Sudoku puzzles using both set and integer constraints More...